Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class FilterTerm

    java.lang.Object
      |
      +--org.openspml.message.FilterTerm

public class FilterTerm
extends java.lang.Object

A class used to represent one filter expression term, found within a `filter` element of a `searchRequest` message.

The memory model could be decomposed into a more specific set of classes, but for simplicity all terms are represented by a single class. The term "operation" must be consulted to determine which of the other term properties are relevant.

Field Summary
`static java.lang.String` | `OP_AND` Constant used with `setOperation` to specify the "and" operator.
`static java.lang.String` | `OP_APPROX` Constant used with `setOperator` to specify an "approxomate match" comparison.
`static java.lang.String` | `OP_EQUAL` Constant used with `setOperator` to specify an equality comparison.
`static java.lang.String` | `OP_EXTENSIBLE_MATCH` Constant used with `setOperator` to specify an "extensible match" comparison.
`static java.lang.String` | `OP_GTE` Constant used with `setOperator` to specify a greater than or equal comparison.
`static java.lang.String` | `OP_LTE` Constant used with `setOperator` to specify a less than or equal comparison.
`static java.lang.String` | `OP_NOT` Constant used with `setOperator` to specify the "not" operator.
`static java.lang.String` | `OP_OR` Constant used with `setOperation` to specify the "or" operator.
`static java.lang.String` | `OP_PRESENT` Constant used with `setOperator` to specify a "present" comparison.
`static java.lang.String` | `OP_SUBSTRINGS` Constant used with `setOperator` to specify an substring comparison.

Constructor Summary
`FilterTerm()`
`FilterTerm(java.lang.String op)`

Method Summary
`void` | `addOperand(FilterTerm term)`
`void` | `addSubstring(java.lang.String s)`
`void` | `addValue(java.lang.Object o)`
`java.lang.String` | `getFinalSubstring()`
`java.lang.String` | `getInitialSubstring()`
`java.lang.String` | `getMatchRule()`
`java.lang.String` | `getName()`
`java.util.List` | `getOperands()`
`java.lang.String` | `getOperation()`
`java.util.List` | `getSubstrings()`
`java.lang.Object` | `getValue()`
`java.util.List` | `getValues()`
`boolean` | `isDnAttributes()`
`boolean` | `isOperation(java.lang.String op)`
`void` | `setDnAttributes(boolean b)`
`void` | `setFinalSubstring(java.lang.String s)`
`void` | `setInitialSubstring(java.lang.String s)`
`void` | `setMatchingRule(java.lang.String s)`
`void` | `setName(java.lang.String s)`
`void` | `setOperands(java.util.List terms)`
`void` | `setOperation(java.lang.String op)`
`void` | `setSubstrings(java.util.List l)`
`void` | `setValue(java.lang.Object o)`
`void` | `setValues(java.util.List l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OP_AND

    public static final java.lang.String OP_AND

  Constant used with `setOperation` to specify the "and" operator. When this operation is set, a list of operands may be specified with `setOperands`

### OP_OR

    public static final java.lang.String OP_OR

  Constant used with `setOperation` to specify the "or" operator. When this operation is set, a list of operands may be specified with `setOperands`

### OP_NOT

    public static final java.lang.String OP_NOT

  Constant used with `setOperator` to specify the "not" operator. When this operation is set, there is expected to be a single item on the operands list.

### OP_EQUAL

    public static final java.lang.String OP_EQUAL

  Constant used with `setOperator` to specify an equality comparison. When this operation is set, the `name` and `values` fields must also be set.

### OP_SUBSTRINGS

    public static final java.lang.String OP_SUBSTRINGS

  Constant used with `setOperator` to specify an substring comparison. When this operation is set, at least one of the `initialSubstring`, `finalSubstring`, or `substrings` fields should be set.

### OP_GTE

    public static final java.lang.String OP_GTE

  Constant used with `setOperator` to specify a greater than or equal comparison. When this operation is set, the `name` and `values` fields must also be set.

### OP_LTE

    public static final java.lang.String OP_LTE

  Constant used with `setOperator` to specify a less than or equal comparison. When this operation is set, the `name` and `values` fields must also be set.

### OP_PRESENT

    public static final java.lang.String OP_PRESENT

  Constant used with `setOperator` to specify a "present" comparison.

### OP_APPROX

    public static final java.lang.String OP_APPROX

  Constant used with `setOperator` to specify an "approxomate match" comparison.

### OP_EXTENSIBLE_MATCH

    public static final java.lang.String OP_EXTENSIBLE_MATCH

  Constant used with `setOperator` to specify an "extensible match" comparison.

Constructor Detail

### FilterTerm

    public FilterTerm()

### FilterTerm

    public FilterTerm(java.lang.String op)

Method Detail

### setOperation

    public void setOperation(java.lang.String op)

### setOperands

    public void setOperands(java.util.List terms)

### addOperand

    public void addOperand(FilterTerm term)

### setName

    public void setName(java.lang.String s)

### setValue

    public void setValue(java.lang.Object o)

### setValues

    public void setValues(java.util.List l)

### addValue

    public void addValue(java.lang.Object o)

### setInitialSubstring

    public void setInitialSubstring(java.lang.String s)

### setFinalSubstring

    public void setFinalSubstring(java.lang.String s)

### setSubstrings

    public void setSubstrings(java.util.List l)

### addSubstring

    public void addSubstring(java.lang.String s)

### setDnAttributes

    public void setDnAttributes(boolean b)

### setMatchingRule

    public void setMatchingRule(java.lang.String s)

### getOperation

    public java.lang.String getOperation()

### isOperation

    public boolean isOperation(java.lang.String op)

### getOperands

    public java.util.List getOperands()

### getName

    public java.lang.String getName()

### getValues

    public java.util.List getValues()

### getValue

    public java.lang.Object getValue()

### getInitialSubstring

    public java.lang.String getInitialSubstring()

### getFinalSubstring

    public java.lang.String getFinalSubstring()

### getSubstrings

    public java.util.List getSubstrings()

### isDnAttributes

    public boolean isDnAttributes()

### getMatchRule

    public java.lang.String getMatchRule()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD